Orgs Records
Update a record comment
Update the content or attachments of an existing comment.
PATCH
/
orgs
/
{org_id}
/
records
/
{record_id}
/
comments
/
{activity_id}
Update a record comment
curl --request PATCH \
--url https://api.useinvent.com/orgs/{org_id}/records/{record_id}/comments/{activity_id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"comment": "<string>",
"attachments": [
"<string>"
]
}
'import requests
url = "https://api.useinvent.com/orgs/{org_id}/records/{record_id}/comments/{activity_id}"
payload = {
"comment": "<string>",
"attachments": ["<string>"]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({comment: '<string>', attachments: ['<string>']})
};
fetch('https://api.useinvent.com/orgs/{org_id}/records/{record_id}/comments/{activity_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"record_id": "<string>",
"comment": "<string>",
"attachments": [
{
"id": "<string>",
"file_path": "<string>",
"file_filename": "document.pdf",
"file_size": 1024,
"file_mimetype": "application/pdf",
"file_url": "<string>",
"created_at": "2023-11-07T05:31:56Z"
}
],
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"actor": {
"id": "<string>",
"name": "<string>",
"email": "jsmith@example.com",
"avatar": "<string>",
"seen_at": "2023-11-07T05:31:56Z"
}
}Authorizations
Bearer token authentication using your API key
Path Parameters
Org ID
Record ID
Activity ID
Body
application/jsonmultipart/form-data
Response
200 - application/json
Schema for a table record comment
Was this page helpful?
Previous
List record activitiesRetrieve the activity timeline for a record, sorted by creation date (newest first). Contacts- and conversations-table records resolve to the underlying contact.
Next
⌘I
Update a record comment
